
// ref: https://umijs.org/config/
import pxToViewPort from 'postcss-px-to-viewport';
const extraPostCSSPlugins = [
  pxToViewPort({
    viewportWidth: 750,
    unitPrecision: 5,
    viewportUnit: 'vw',
    selectorBlackList: [],
    minPixelValue: 1,
    mediaQuery: false
  })
]
export default {
  extraPostCSSPlugins,
  treeShaking: true,
  routes: [
    {
      path: '/',
      component: '../layouts/BasicLayout',
      routes: [
        {
          path: '/',
          name: '矿机首页',
          component: '../pages/Home/Home'
        },
        {
          path: '/topupmoney',
          name: '认购WOS',
          component: '../pages/Topupmoney/Topupmoney'
        },
        {
          path:'/team',
          name:'团队',
          component:'../pages/Team/Team'
        },
        {
          path:'/inviter',
          name:'绑定邀请人',
          component:'../pages/Team/Inviterpeople/Inviterpeople'
        },
        {
          path:'/myinvitation',
          name:'我的邀请',
          component:'../pages/Team/Myinvitation/Myinvitation'
        },
        {
          path: '/mine',
          name: '我的',
          component: '../pages/Mine/Mine'
        },
        {
          path: '/mill/millDetail',
          name: '矿机详情',
          component: '../pages/Milldetail/Milldetail'
        },
        {
          path: '/mill/buymill',
          name: '购买矿机',
          component: '../pages/Buymill/Buymill'
        },
        
        {
          path: '/wallet',
          name: '充值USDT',
          component: '../pages/Wallet/Wallet'
        },
        {
          path: '/extract',
          name: 'WOS提取',
          component: '../pages/Extract/Extract'
        },
        {
          path: '/examples',
          name: 'WOS转赠',
          component: '../pages/Examples/Examples'
        },
        {
          path: '/examplesnext',
          name: 'WOS转赠',
          component: '../pages/Examplesnext/Examplesnext'
        },
        {
          path:'/USDT',
          name:'USDT明细',
          component:'../pages/USDTdetail/USDTdetail'
        },
        {
          path:'/Showdetail',
          name:'USDT详情',
          component:'../pages/Showdetail/Showdetail'
        },
        {
          path:'/Equitydetail',
          name:'权益值明细',
          component:'../pages/Equitydetail/Equitydetail'
        },
        {
          path:'/WOSdetail',
          name:'WOS明细',
          component:'../pages/WOSdetail/WOSdetail'
        },
        {
          path:'/WOSshowdetail',
          name:'收益详情',
          component:'../pages/WOSshowdetail/WOSshowdetail'
        },
      ]
    }
  ],
  plugins: [
    // ref: https://umijs.org/plugin/umi-plugin-react.html
    ['umi-plugin-react', {
      antd: false,
      dva: false,
      dynamicImport: false,
      title: '矿机',
      dll: false,
      hd: true,
      routes: {
        exclude: [
          /components\//,
        ],
      },
    }],
  ],
  extraBabelPlugins: [
    ["import", { libraryName: "antd-mobile", style: true }] // `style: true` 会加载 less 文件
  ],
  proxy: {
    '/wazhima': {
      target: 'http://api.starbuds.laylib.com/', //测试
      // target:'http://zhima.xingya.live/', //生产
      changeOrigin: true,
    },
  },
  hash: true,
  outputPath: '/mill',//测试
  // outputPath: '/wazhima' //线上
}
