import React from 'react'
const _style = {
  border: '1px solid #FFFFFF',
  height: '52rpx',
  lineHeight: '48rpx',
  display: 'inline-block',
  padding: '0 14px',
  color: '#fff',
  fontSize: '28rpx',
  borderRadius: '26rpx'
}
const getStyles = (style, color) => {
  const result = Object.assign({}, _style, style)
  if (color) {
    result.color = color
    result.borderColor = color
  }
  return result
}
export default ({ children, onClick, value, style, color }) => ((
  <div style={getStyles(style, color)} onClick={onClick}>
    {!!value && <i value={value} size={16} />}
    <span style={{marginLeft: value ? '8rpx' : 0, verticalAlign: 'middle'}}>{children}</span>
  </div>
))
