import React, { Component } from 'react'
import ReactDom, { render } from 'react-dom'
// import wxTips from '@/assets/wx_tips.png'
import styles from './Mask.less'

import { setBodyScroll } from '../pages/utils/base'
class Confirm extends Component {
  componentDidMount () {
    setBodyScroll(false)
  }
  componentWillUnmount () {
    setBodyScroll(true)
  }
  render () {
    return (
      <div className={styles['mask-wrap']} onClick={this.props.onCancel}>
        {/* <img src={wxTips} alt=""/> */}
      </div>
    )
  }
}
export default (props = {}) => {
  let oDiv = document.createElement('div')
  document.body.appendChild(oDiv)
  const unMoundDom = () => {
    let bool = ReactDom.unmountComponentAtNode(oDiv)
    if (bool) {
      oDiv.parentNode.removeChild(oDiv)
    }
  }
  const onOk = (params) => {
    let cb = props.onOk && props.onOk(params)
    let cbType = Object.prototype.toString.call(cb)
    if (cbType.indexOf('Promise') !== -1) {
      // promise
      return cb
      .then(() => {
        unMoundDom()
      })
    } else {
      unMoundDom()
    }
  }
  const onCancel = () => {
    props.onCancel && props.onCancel()
    unMoundDom()
  }
  const closeBtnFun = () => {
    // 将左上角的x 和取消分开
    if (props.closeBtnFun) {
      unMoundDom()
    } else {
      props.onCancel && props.onCancel()
      unMoundDom()
    }
  }
  render(
    <Confirm
      {...props}
      onOk={onOk}
      onCancel={onCancel}
      closeBtnFun={closeBtnFun}
    />,
    oDiv
  )
  return {
    onCancel
  }
}
