/**
 * 
 * 签到
 */
import React, { Component } from 'react'
import { Modal } from 'antd-mobile'
import styles from './SignedOn.less'
import { setBodyScroll } from '../../../pages/utils/base'
// import zhimaIcon from '@/assets/icon_zhima.png'

class SignedOn extends Component {
  constructor (props) {
    super(props)
    this.state = {}
  }
  componentDidMount () {
    setBodyScroll()
    const { signRules } = this.props
    // list 补全
    const listLen = signRules ? signRules.length : 0
    const remain = 4 - listLen % 4
    for (let i = 0; i < remain; i++) {
      signRules.push({})
    }
    this.setState({ signRules })
  }

  
  onCancel = () => {
    const { onCancel } = this.props 
    onCancel && onCancel()
  }
  onOk = () => {
    const { onOk } = this.props 
    this.setState({ uploading: true })
    const cb = onOk && onOk()
    if (cb instanceof Promise) {
      cb.then((res) => {
        if (!res || res.code !== 'OK') {
          this.setState({ uploading: false })
        }
      })
      .catch(() => {
        this.setState({ uploading: false })
      }) 
    } 
    return cb
  }
  componentWillUnmount () {
    setBodyScroll(true)
  }
  render () {
    // okText = '确定',
    const { title = '连续签到领好礼', signNum } = this.props
    const { signRules } = this.state
    return (
      <Modal 
        visible
        popup
        wrapClassName={styles['customer-alert-modal']}
        zIndex={999}
        closable={false}
        title={title}
        animationType='slide-up'
        maskTransitionName='s'
        transitionName='slide-wrap'
        maskClosable
        onClose={this.onCancel}
        footer={undefined}
      >
        <div className={styles['content-list-wrap']}>
          {
            signRules && signRules.map((item, i) => (
              item && item.DayNum 
              ? <div 
                key={item.DayNum} 
                className={
                  `${styles['list-item']} ${item.DayNum <= signNum ? styles['list-item-active'] : '' }`
                }
              >
                <h4 className={styles['item-title']}>第{item.DayNum}天</h4>
                {/* <img src={zhimaIcon} alt="" className={styles['item-icon']} /> */}
                <p className={styles['item-desc']}>{item.GoldNum}芝麻粒</p>
              </div>
              : <div className={styles['list-item-empty']} />
            ))
          }
        </div>

        <div className={styles['icon-close']} onClick={this.onCancel}>X</div>
      </Modal>
    )
  }
}
export default SignedOn
