import React, { Component } from 'react'
import styles from './NavTab.less'
class NavTab extends Component {
  onClick = index => e => {
    const { onClick } = this.props 
    onClick && onClick(index)
  }
  render () {
    const { tabList, current, type, style } = this.props
    let _wrapClassName = styles['cmp-nav-wrap']
    if (type === 'normal') {
      _wrapClassName += ' ' + styles['cmp-nav-wrap-normal']
    } else if (type === 'nobility') {
      _wrapClassName += ' ' + styles['cmp-nav-wrap-nobility']
    }
    return (
      <div className={_wrapClassName} style={style}>
        {
          tabList && tabList.map((item, i) => (
            <div 
              key={i} 
              className={`${styles['cmp-nav-item']} ${i === current ? styles['active'] : ''}`}
              onClick={this.onClick(i)}
            >
              {item.title}
            </div>
          ))
        }
      </div>
    )
  }
}
export default NavTab
