import React, { Fragment } from 'react'
import { ActivityIndicator, Result } from 'antd-mobile'

export default (props) => {
  const { loading, err, errMsg } = props
  return (
    <div>
      {loading && <ActivityIndicator toast animating={true} text="加载中" />}
      {!loading && !err && (
        <Fragment>
          {props.children}
        </Fragment>
      )}
      {!loading && err && (
        <Result
          img={<img style={{ width: '1.2rem', height: '1.2rem' }} src={require('@/assets/icon-err.png')} alt='error' />}
          title="信息错误"
          message={errMsg}
        />
      )}
    </div>
  )
}