import React, { Component, Fragment } from 'react'
import styles from './modals.less';
import { Modal, Icon, List, InputItem } from 'antd-mobile';
import add from '@/assets/add.png';
import remove from '@/assets/remove.png';
export default class Modals extends Component {
    constructor(props) {
        super(props);
        this.state = {
            count: 1
        }
    }
    onCountChange = (value) => {
        this.setState({ count: Number(value) })
    }
    onRemove = () => {
        if (this.state.count > 1) this.setState({ count: this.state.count - 1 })
    }
    onAdd = () => {
        this.setState({ count: this.state.count + 1 })
    }
    onConfirm = () => {
        this.props.onSure();
    }
    render() {
        const { isShow, onClose, title, descript, sign, minerName } = this.props;
        const { count } = this.state;
        return (
            <Fragment>
                <Modal
                    visible={isShow}
                    onClose={onClose}
                    transparent
                    maskClosable={true}
                    className={styles.modal_wrap}
                >
                    <div className={styles.title_less}>{title}</div>
                    <div className={styles.descipt}>{descript}</div>
                    {
                        sign ? null : <div className={styles.main_calculate}>
                            <span>{minerName || ''}</span>
                            <div className={styles.right_content}>
                                <img onClick={this.onRemove} src={remove} alt="remove" />
                                <List>
                                    <InputItem
                                        type='number'
                                        onChange={this.onCountChange}
                                        value={count}
                                        className={styles.input_less}
                                    />
                                </List>
                                <img onClick={this.onAdd} src={add} alt="add" />
                            </div>
                        </div>
                    }
                    <div className={styles.footer}>
                        <div
                            onClick={() => this.props.onClose()}
                            style={{
                                backgroundColor: '#ffffff',
                                color: '#3B7BE6',
                                border: 'solid 1px #3B7BE6'
                            }}
                            className={styles.button_less}
                        >取消</div>
                        <div onClick={this.onConfirm} className={styles.button_less}>确认</div>
                    </div>
                    <Icon onClick={onClose} className={styles.icon_less} type='cross-circle' />
                </Modal>
            </Fragment>
        )
    }
}
