import React from 'react';
import styles from './index.less';
import home from '../../assets/home.png';
import homedown from '../../assets/home-down.png';
import mine from '../../assets/mine.png';
import minedown from '../../assets/mine-down.png';
import recharge from '../../assets/recharge.png';
import rechargedown from '../../assets/rechargedown.png';
import team from '../../assets/team.png';
import teamdown from '../../assets/teamdown.png';
import router from 'umi/router';

export default (({ tabSign }) => {
  const sizeColor = {
    color: '#007AFF'
  }

  const tabbarData = [
    {
      name: '首页',
      downImg: homedown,
      upImg: home,
      type: 'home'
    },
    {
      name: '认购',
      downImg: rechargedown,
      upImg: recharge,
      type: 'recharge'
    },
    {
      name: '团队',
      downImg: teamdown,
      upImg: team,
      type: 'team'
    },
    {
      name: '我的',
      downImg: minedown,
      upImg: mine,
      type: 'mine'
    },
  ]

  const onPush = (value) => {
    switch (value) {
      case 'home':
        return router.replace('/');
      case 'recharge':
        return router.replace('/topupmoney');
      case 'team':
        return router.replace('/team');
      case 'mine':
        return router.replace('/mine');
      default:
        null;
    }
  }
  return (
    <div className={styles.tabbar_wrap}>
      {
        tabbarData.map((item) => {
          return (
            <div key={item.type} onClick={() => onPush(item.type)} className={styles.public_wrap}>
              <img src={tabSign === item.type ? item.downImg : item.upImg} alt='error' />
              <span style={tabSign === item.type ? sizeColor : null}>{item.name}</span>
            </div>
          )
        })
      }
    </div>
  )
})
