import React, { Fragment } from 'react';
import styles from './textmodals.less';
import { Modal } from 'antd-mobile';

export default (({ isShow, onClose, title, text, footerType, onSure }) => {
  return (
    <Fragment>
      <Modal
        visible={isShow}
        onClose={onClose}
        transparent
        maskClosable={true}
        className={styles.textmodalsWrap}
      >
        <div className={styles.title}>{title}</div>
        <div className={styles.textLess}>{text}</div>
        {
          footerType ?
            <div className={styles.footerText}>
              <div
                style={{ borderRight: 'solid 0.26667vw #E5E5E5' }}
                className={styles.childWrap}
                onClick={onClose}
              >取消</div>
              <div className={styles.childWrap} onClick={onSure}>去绑定</div>
            </div> :
            <div onClick={onClose} className={styles.footerText}>我知道了</div>
        }
      </Modal>
    </Fragment>
  )
})