import React, { Component } from 'react';
// import router from 'umi/router'
// import NativeHook from '@/utils/NativeHook'
// import { zhimaLogin } from '@/services/api'
import { isApp } from '../pages/utils/base';
import Cookie from '../pages/utils/Cookie';
import { Toast } from 'antd-mobile';
import { getTokenByXyToken } from '../pages/services/mine';
import Wrap from '../components/Wrap/Wrap';
import VConsole from 'vconsole'


class BasicLayout extends Component {
  constructor(props) {
    super(props)
    this.state = {
      // 准备好之后进入页面
      loading: true
    }
  }

  async componentDidMount() {
    // const vConsole = new VConsole();
    this.login()
  }

  //登录
  login = async () => {
    if (!isApp()) {
      this.setState({ err: true, errMsg: '请在APP内打开', loading: false })
      return
    }
    //const token = 'IewAQTpeIbxe0z4IL2j6yf/RYvIYGBBomKrlH3Paf1T3v9XOagG6DwDQzlv157/wkfxBdqCGI1TLqzqTw3x8AQ=='
    const token = Cookie.get('_tk', { path: '/' })
    // console.log('app token: ', token)
    this.setState({ refreshing: true })
    if (token) {
      //调取后端接口换新的token
      const res = await getTokenByXyToken({ token });
      if (res.data && res.success) {
        Cookie.set('_tk_wazhima_h5', res.data, { path: '/' });
        this.setState({ loading: false, refreshing: false, err: false, errMsg: '' })
      } else {
        // console.log("CCCC")
        Toast.info('登录失败: ' + res.data, 1);
        this.setState({ err: true, errMsg: res.msg, loading: false, refreshing: false })
      }
    } else {
      Toast.fail('登录失败', 1);
      this.setState({ err: true, errMsg: 'APP登录失败', loading: false })
    }
  }

  render() {
    const { loading, err, errMsg, refreshing } = this.state
    return (
      <Wrap loading={loading} err={err} errMsg={errMsg} onRefresh={err ? this.login : null} refreshing={refreshing}>
        {this.props.children}
      </Wrap>
    )
  }
}
export default BasicLayout
