import React, { Component, Fragment } from 'react';
import { WingBlank, List, InputItem, Icon, Button, Toast } from 'antd-mobile';
import styles from './buymil.less';
import add from '@/assets/add.png';
import remove from '@/assets/remove.png';
import sure from '@/assets/sure.png';
import Modales from '@/components/Sharingmodals/index';
import router from 'umi/router';
import Activity from '../../components/Activity';
import { getMilldetail } from '../services/milldetail';
import { getAsset } from '../services/mine';
import { createOrder } from '../services/order';
import namesign from '../../assets/namesign.png';
function judgeValue(value, type) {
  if (type == 0 && !!value) {
    return value.quanyizhi;
  }
  else if (!!value) {
    return value.daibi;
  }
  else {
    return 0
  }
}
function wallet(value) {
  if (!!value || value === 0) {
    return value
  }
  else {
    return ''
  }
}
function typeJudge(value) {
  if (Number(value) === 0) {
    return '共享值';
  }
  else {
    return 'WOS';
  }
}
function toastMsg(value, stockQuantity, isMoney) {
  if (value > stockQuantity && isMoney > 0) {
    Toast.fail('超出剩余份额', 1);
  }
  else if (isMoney < 0) {
    Toast.fail('资金不足', 1);
  }
  else {
    Toast.fail('请选择购买数量', 1);
  }
}
let settlement = new Map([
  [1, '每日结算，次日发放至账户'],
  [7, '每周结算，7日后发放至账户']
])

export default class Buymill extends Component {
  constructor(props) {
    super(props);
    document.title = '购买矿机';
    this.state = {
      count: 1,
      isPay: true,
      visible: false,
      isActivity: false,
      infromationObj: {},
      assetData: {},
      text: '加载中'
    }
  }

  async componentDidMount() {
    this.setState({ isActivity: true })
    try {
      const { tid } = this.props.location.query;
      const data = await getMilldetail({ id: tid });
      const asset = await getAsset();
      if (data.code === 'OK' && data.success && asset.code === 'OK' && asset.success) {
        this.setState({ infromationObj: data.data, assetData: asset.data });
      }
    } catch (error) {
      console.log(error);
    } finally {
      this.setState({ isActivity: false })
    }
  }

  //判断余额是否充足
  onMoneybuy = () => {
    const { assetData, infromationObj, count } = this.state;
    const { tabg } = this.props.location.query;
    let totalPay = (infromationObj.price || 0) * count;
    let zichanTotal = Number(tabg) === 0 ? wallet(assetData.walletQuanYiZhi) : wallet(assetData.walletDaiBi);
    let isMoney = zichanTotal - totalPay;
    return isMoney;
  }

  //限购
  onRemove = () => {
    if (this.state.count > 1) {
      this.setState({ count: this.state.count - 1 }, () => {
        const { count, infromationObj } = this.state;
        if (count <= infromationObj.stockQuantity) {
          this.setState({ isPay: true });
        }
      })
    }
  }

  //不限购
  onInfiniteremove = () => {
    if (this.state.count > 1) {
      this.setState({ count: this.state.count - 1 });
    }
  }

  //限购
  onAdd = () => {
    const { count, infromationObj } = this.state;
    if (count < infromationObj.perUserLimit) {
      this.setState({ count: this.state.count + 1 }, () => {
        const { count, infromationObj } = this.state;
        if (count <= infromationObj.perUserLimit) {
          this.setState({ isPay: true });
        }
        else {
          Toast.fail('超出剩余份额', 1);
          this.setState({ isPay: false })
        }
      })
    }
    else {
      Toast.fail('超出限购份额', 1);
    }
  }

  //不限购
  onInfiniteonAdd = () => {
    this.setState({ count: this.state.count + 1 });
  }

  //输入框changge事件
  onCountChange = (value) => {
    this.setState({ count: Number(value) }, () => {
      const { count, infromationObj } = this.state;
      if (count <= infromationObj.stockQuantity && this.onMoneybuy() >= 0 && count > 0) {
        this.setState({ isPay: true })
      }
      else {
        this.setState({ isPay: false })
        toastMsg(count, infromationObj.stockQuantity, this.onMoneybuy());
      }
    })
  }

  //不限购change事件
  onInfinitecount = (value) => {
    this.setState({ count: Number(value) }, () => {
      const { count } = this.state;
      if (this.onMoneybuy() >= 0 && count > 0) {
        this.setState({ isPay: true })
      }
      else {
        this.setState({ isPay: false });
        if (this.onMoneybuy() < 0) {
          Toast.fail('资金不足', 1);
        }
        else {
          Toast.fail('请选择购买数量', 1);
        }
      }
    })
  }

  //提交支付，生成订单
  onPayment = async () => {
    //弹出modal框
    // this.setState({ visible: true })

    //生成订单接口
    this.setState({ isActivity: true, text: '支付中' });
    const { tid } = this.props.location.query;
    const payload = {
      minerId: tid,
      quantity: this.state.count
    }
    try {
      const res = await createOrder(payload);
      if (res.code === 'OK' && res.success) {
        Toast.success('购买成功', 1);
        this.setState({ isActivity: false }, () => router.push(`/mill/millDetail?tabg=${this.props.location.query.tabg}`));
      }
      else {
        this.setState({ isActivity: false }, () => Toast.fail(res.msg, 1));
      }
    } catch (error) {
      console.log(error);
    }
  }

  onClose = () => {
    this.setState({ visible: false })
  }

  onSure = () => {
    this.setState({ visible: false }, () => router.push('/topupmoney'))
  }
  render() {
    const { tabg } = this.props.location.query;
    const { count, isPay, visible, isActivity, infromationObj, assetData, text } = this.state;
    return (
      <Fragment>
        <div className={styles.headerBackground}>
          <div className={styles.content}>
            <img src={namesign} alt="error" />{infromationObj?.name ?? ''}
          </div>
        </div>
        <div className={styles.velss}>
          <div className={styles.homechild_wrap}>
            <div className={styles.header}>{infromationObj?.name ?? ''}</div>
            <div className={styles.main_content}
            >
              <span>单份算力</span>
              <span className={styles.child_color}>
                {infromationObj?.description?.power ?? ''}
              </span>
            </div>
            <div className={styles.main_content}>
              <span>每人限购</span>
              <span>{infromationObj.isLimit ? infromationObj?.perUserLimit ?? '' : '不限购'}</span>
            </div>
            <div className={styles.headerFill}></div>
            <div className={styles.main_content}>
              <span>剩余份数</span>
              <span>{infromationObj.isLimit ? infromationObj?.stockQuantity ?? '' : '库存充足'}</span>
            </div>
            {infromationObj.isLimit ? <div className={styles.special}>限量特价</div> : null}
          </div>
          <div className={styles.money_descript}>
            <div><span>发币币种</span><span>{typeJudge(tabg)}</span></div>
            <div>
              <span>发币方式</span>
              <span>
                {settlement.get(infromationObj?.outputCycle) ??
                  `每${infromationObj?.outputCycle ?? ''}日结算，${infromationObj?.outputCycle ?? ''}日后发放至账户`}
              </span>
            </div>
            <div><span>分币比例</span>
              <span>{!!infromationObj?.outputRule?.daibi ? `WOS ${infromationObj?.outputRule?.daibi + '% | '}` : ''}{!!infromationObj?.outputRule?.quanyizhi ? `共享值 ${infromationObj?.outputRule?.quanyizhi + '%'}` : ''}</span></div>
            {/* <div><span>开挖时间</span><span>2020-08-23 00:00:00</span></div> */}
          </div>
          <div className={styles.buyMoney}>
            <div className={styles.buyMoney_top}>
              <span>{infromationObj?.name ?? ''}</span>
              <div className={styles.right_content}>
                <img onClick={infromationObj.isLimit ? this.onRemove : this.onInfiniteremove} src={remove} alt="remove" />
                <List>
                  <InputItem
                    type='number'
                    onChange={infromationObj.isLimit ? this.onCountChange : this.onInfinitecount}
                    value={count}
                    className={styles.input_less}
                  />
                </List>
                <img onClick={infromationObj.isLimit ? this.onAdd : this.onInfiniteonAdd} src={add} alt="add" />
              </div>
            </div>
            <div className={styles.buyMoney_bottom}>
              <span>总计需付金额</span>
              <span>{(infromationObj.price || 0) * count}{typeJudge(tabg)}</span>
            </div>
          </div>
          <div className={styles.fill_less}>支付方式</div>
          <div className={styles.payment} >
            <span>
              {typeJudge(tabg)}钱包（可用：
                {Number(tabg) === 0 ?
                wallet(assetData.walletQuanYiZhi) :
                wallet(assetData.walletDaiBi)
              }）</span>
            {isPay ? <img src={sure} alt="sure" /> : <Icon type='check-circle-o' />}
          </div>
          <Button disabled={!isPay} onClick={this.onPayment} className={styles.button_less} >立即支付</Button>
          <Modales
            isShow={visible}
            onClose={this.onClose}
            title='余额不足'
            descript='WOS钱包余额不足，请确认是否前去充值'
            onSure={this.onSure}
            sign={true}
          />
          <Activity isActivity={isActivity} text={text} />
        </div>
      </Fragment>
    )
  }
}
