import styles from './equitychild.less';
import { Fragment } from 'react';
import moment from 'moment';
import Result from '../../../components/Result';
let statusMap = new Map([['10', '申请中'], ['20', '成功'], ['30', '失败']]);
function nicknameJudge(value) {
  if (!!value) {
    return value
  }
  else {
    return ''
  }
}
import router from 'umi/router';
import { titleMap } from '../../utils/base';

export default (({ list, total }) => {
  return (
    <Fragment>
      {
        list.length === 0 ? <Result style={{ height: '93vh' }} /> :
          list.map((item, index) => {
            return (
              <div
                key={index}
                className={styles.usdtWrap}
                onClick={() => {
                  router.push(`/Showdetail?sign=${1}&title=${titleMap.get(item.type) + nicknameJudge(item?.nickname)}`);
                  sessionStorage.setItem('id', item.id);
                }}
              >
                <div className={styles.contentRight}>
                  <span>
                    {titleMap.get(item.type) || ''}&nbsp;
                    {item.type === 50 || 51 ? item.nickname : ''}
                  </span>
                  {/* <div>付款地址：{item?.txId ?? ''}</div> */}
                  <span>{moment(item?.createTime ?? '').format('YYYY-MM-DD HH:MM:ss')}</span>
                </div>
                <div className={styles.contentLeft}>
                  <span style={Number(item?.balanceValue) > 0 ? { color: '#FF4D5C' } : null} >
                    {Number(item?.balanceValue) > 0 ? '+' : ''}{item?.balanceValue ?? ''}
                  </span>
                  <span>{statusMap.get(item.status) || ''}</span>
                </div>
              </div>
            )
          })
      }
      {list.length < total || list.length < 10 ? null : <div className={styles.footer}>数据加载完毕~</div>}
    </Fragment>
  )
})
