import React, { Component, Fragment } from 'react';
import styles from './examples.less';
import { InputItem, Button, Toast } from 'antd-mobile';
import CopyToClipboard from 'react-copy-to-clipboard';
import router from 'umi/router';
import Activity from '@/components/Activity';
import copyImg from '../../assets/copy.png';

export default class Examples extends Component {
  constructor(props) {
    super(props);
    document.title = `${this.props.location.query.sign}转赠`;
    this.state = {
      addressValue: null,
      isActivity: false
    }
  }

  onChangeadress = (value) => {
    this.setState({ addressValue: value })
  }

  onCopy = (value, result) => {
    if (!!value && result) {
      Toast.success('复制成功', 1);
    }
    else {
      Toast.fail('复制失败,请再次尝试~', 1);
    }
  }

  onNext = () => {
    const { sign, balance } = this.props.location.query;
    router.push(`/examplesnext?sign=${sign}&moneyAdress=${this.state.addressValue}&balance=${balance}`);
  }

  render() {
    const { sign } = this.props.location.query;
    const { addressValue, isActivity } = this.state;
    return (
      <Fragment>
        <div className={styles.examples_wing_balck} style={isActivity ? { filter: 'blur(10px)' } : null}>
          <div className={styles.examplesWrap}>
            <div>对方账户信息</div>
            <div className={styles.input_wrap}>
              <InputItem
                placeholder='请输入对方转赠地址'
                className={styles.input_less}
                onChange={this.onChangeadress}
              />
            </div>
            <div className={styles.fillLess}></div>
            <div className={styles.descrption}>{sign}将转入对方账户，无法退款</div>
            <Button onClick={this.onNext} disabled={!addressValue} type='primary' className={styles.buttonLess}>下一步</Button>
          </div>
          <div className={styles.footerWrap}>
            <div>我的转赠地址</div>
            <div className={styles.urlText}>
              <span>{sessionStorage.getItem('moneyAdress')}</span>
              <CopyToClipboard
                text={sessionStorage.getItem('moneyAdress')}
                onCopy={this.onCopy}
              >
                <img src={copyImg} alt="error"/>
              </CopyToClipboard>
            </div>
          </div>
        </div>
        <Activity isActivity={isActivity} />
      </Fragment>
    )
  }
}
