import React, { Component, Fragment } from 'react';
import styles from './examplesnext.less';
import { InputItem, Button, Toast } from 'antd-mobile';
import Activity from '@/components/Activity';
import { getUserByWallet, sendCoin } from '../services/mine';
import defatult from '@/assets/defatult.png';
import router from 'umi/router';

export default class Examplesnext extends Component {
  constructor(props) {
    super(props);
    document.title = `${this.props.location.query.sign}转赠`;
    this.state = {
      url: null,
      num: null,
      isActivity: false,
      idName: null,
      isDisable: false
    }
  }

  onChangeNumber = (value) => {
    const { balance } = this.props.location.query;
    if (value < Number(balance)) {
      this.setState({ num: value, isDisable: false });
    }
    else {
      this.setState({ isDisable: true });
    }
  }

  async componentDidMount() {
    let obj = {
      wallet: this.props.location.query.moneyAdress
    }
    try {
      this.setState({ isActivity: true });
      const res = await getUserByWallet(obj);
      if (res.code === 'OK' && res.success) {
        this.setState({ url: res.data.avatar || '', idName: res.data.nickname })
      }
      else {
        Toast.fail(res.msg, 1);
      }
    } catch (error) {
      console.log(error);
    } finally {
      this.setState({ isActivity: false });
    }
  }

  onSubmit = async () => {
    try {
      const { moneyAdress, sign } = this.props.location.query;
      let obj = {
        wallet: moneyAdress,
        amount: this.state.num,
        currency: sign === 'WOS' ? 30 : 20
      }
      this.setState({ isActivity: true });
      const res = await sendCoin(obj);
      if (res.code === 'OK' && res.success) {
        router.push('/mine');
      }
      else {
        Toast.fail(res.msg, 1);
      }
    } catch (error) {
      console.log(error);
    } finally {
      this.setState({ isActivity: false })
    }
  }

  render() {
    const { sign, moneyAdress, balance } = this.props.location.query;
    const { url, num, isActivity, idName, isDisable } = this.state;
    return (
      <Fragment>
        <div className={styles.next_wing_black} style={isActivity ? { filter: 'blur(10px)' } : null}>
          <div className={styles.examplesnextWrap}>
            <div className={styles.header}>
              <img src={url || defatult} alt="error" />
              <div style={{ fontWeight: 'bold', marginTop: '15px' }}>{idName || '转赠地址错误'}</div>
            </div>
            <div style={{ marginTop: '10.8vw' }}>转赠地址</div>
            <div style={{ wordWrap: 'break-word', marginTop: '9.33333vw' }}>{moneyAdress}</div>
            <div className={styles.fillLess}></div>
            <div style={{ marginTop: '5.33333vw' }}>转赠数量</div>
            <div className={styles.input_wrap}>
              <InputItem
                type='number'
                placeholder='请输入转赠数量'
                className={styles.input_less}
                onChange={this.onChangeNumber}
              />
            </div>
            <div className={styles.fillLess}></div>
            <div className={styles.canNumber}>您可转赠{sign}：{balance}</div>
            <Button
              disabled={!num || isDisable}
              type='primary'
              className={styles.buttonLess}
              onClick={this.onSubmit}
            >下一步</Button>
          </div>
        </div>
        <Activity isActivity={isActivity} text='转赠中' />
      </Fragment>
    )
  }
}
