import React, { Component, Fragment } from 'react';
import styles from './Extract.less';
import { InputItem, Button, Toast } from 'antd-mobile';
import { withdraw } from '../services/mine';
import Activity from '@/components/Activity';
import router from 'umi/router';
import { getWithdrawableAmount } from '../services/mine';

export default class Extract extends Component {
  constructor(props) {
    super(props);
    document.title = this.props.route.name;
    this.state = {
      moneyAdress: null,
      defatultValue: null,
      isActivity: false,
      extractNum: null
    }
  }

  onChangeadress = (value) => {
    this.setState({ moneyAdress: value });
  }

  onChangeNumber = (value) => {
    if (Number(value) > this.state.extractNum) {
      Toast.fail('可提取数量不足', 1);
    }
    else {
      this.setState({ defatultValue: value });
    }
  }

  OnAllextract = () => {
    this.setState({ defatultValue: this.state.extractNum });
  }

  onExtract = async () => {
    this.setState({ isActivity: true })
    try {
      const { moneyAdress, defatultValue } = this.state;
      let obj = {
        toAddress: moneyAdress,
        amount: defatultValue
      }
      const res = await withdraw(obj);
      if (res.code === 'OK' && res.success) {
        router.push('/mine');
        Toast.success('申请成功，稍后会提取到钱包中', 2);
      }
      else {
        Toast.fail(res.msg, 1);
      }
    } catch (error) {
      console.log(error);
    } finally { this.setState({ isActivity: false }) }
  }

  async componentDidMount() {
    this.setState({ isActivity: true });
    try {
      const res = await getWithdrawableAmount();
      if (res.code === 'OK' && res.success) {
        this.setState({ extractNum: res.data });
      }
    } catch (error) {
      console.log(error);
    } finally { this.setState({ isActivity: false }) }
  }

  render() {
    const { moneyAdress, defatultValue, isActivity, extractNum } = this.state;
    return (
      <Fragment>
        <div style={isActivity ? { filter: 'blur(10px)', paddingTop: '6vw' } : { paddingTop: '6vw' }}>
          <div className={styles.extractWrap}>
            <div>钱包地址</div>
            <div className={styles.input_wrap}>
              <InputItem
                placeholder='请输入钱包地址'
                className={styles.input_less}
                onChange={this.onChangeadress}
              />
            </div>
            <div className={styles.fillLess}></div>
            <div className={styles.canExtractWrap}>
              提取数量<span className={styles.canExtract}>（当前可提取：{extractNum}）</span>
            </div>
            <div className={styles.extractNumber}>
              <InputItem
                type='number'
                placeholder='请输入提取数量'
                onChange={this.onChangeNumber}
                value={defatultValue}
              />
              <span onClick={this.OnAllextract}>全部提取</span>
            </div>
            <div className={styles.fillLess}></div>
            <Button
              disabled={!(!!moneyAdress && !!defatultValue)}
              className={styles.confirmExtract}
              type='primary'
              onClick={this.onExtract}
            >申请提取</Button>
          </div>
        </div>
        <Activity isActivity={isActivity} text='提取中' />
      </Fragment>
    )
  }
}
