import React, { Component } from 'react';
import styles from './childcontent.less';
import Modales from '@/components/Sharingmodals/index';
import { getDocRec } from '../utils/base';
import moment from 'moment';
import { Toast } from 'antd-mobile';
import Result from '../../components/Result';
import namesign from '../../assets/namesign.png';
function typeJudge(value) {
  if (Number(value) === 0) {
    return '共享值';
  }
  else {
    return 'WOS';
  }
}

export default class Childcontent extends Component {
  constructor(props) {
    super(props);
    this.state = {
      visible: false,
      tid: null,
      minerName: null
    }
  }
  onRepo = (tid, minerName) => {
    // this.setState({ visible: true, tid: tid, minerName: minerName })
    Toast.success('敬请期待~', 1)
  }
  onClose = () => {
    this.setState({ visible: false })
  }
  onSure = () => {
    this.setState({ visible: false })
    this.props.getRequest();
  }

  componentDidMount() {
    this.wrapContent.addEventListener('scroll', this.bindScroll)
  }
  bindScroll = () => {
    // 滚动的高度
    const scrollTop = this.wrapContent.scrollTop
    // 视窗高度
    const clientHeight = getDocRec('docHeight').docHeight
    // 页面高度
    const scrollHeight = this.contentContainer.offsetHeight
    // 距离页面底部的高度
    const height = scrollHeight - scrollTop - clientHeight
    // 判断距离页面底部的高度 
    if (height <= 200) {
      const { scrollRequest, isScroll, data, total } = this.props;
      if (isScroll && data.length < total) {
        scrollRequest()
      }
    }
  }
  componentWillUnmount() {
    // 移除滚动监听
    this.wrapContent.removeEventListener('scroll', this.bindScroll);
  }
  render() {
    const { tabgNum, data, total } = this.props;
    const { visible, tid, minerName } = this.state;
    return (
      <div
        style={{
          overflowY: 'scroll',
          height: '75vh',
        }}
        ref={node => this.wrapContent = node}
      >
        <div ref={node => this.contentContainer = node}>
          {
            data.length === 0 ? <Result /> :
              data.map((item, index) => {
                return (
                  <div key={index} className={styles.content_wrap}>
                    <div className={styles.header}><img src={namesign} alt="error" />{item.miner.name || ''}</div>
                    <div className={styles.main_content}>
                      <span>单份算力</span>
                      <span>{!!item.miner.description ? item.miner.description.power : ''}</span>
                    </div>
                    {/* <div className={styles.main_content}>
                      <span>单份金额</span>
                      <span className={styles.child_color}>
                        {item.miner.price || ''}
                        {typeJudge(tabgNum)}
                      </span>
                    </div> */}
                    {/* <div className={styles.main_content}>
                      <span>月挖矿收益</span>
                      <span className={styles.child_color}>
                        {
                          tabgNum === 0 ?
                            !!item.miner.outputRule ? `${item.miner.outputRule.quanyizhi}共享值` : '' :
                            !!item.miner.outputRule ? `${item.miner.outputRule.daibi}枚WOS` : ''
                        }
                      </span>
                    </div> */}
                    <div className={styles.main_content}>
                      <span>购买时间</span>
                      <span>{!!item.createTime ? moment(item.createTime).format('YYYY-MM-DD HH:MM:ss') : ''}</span>
                    </div>
                    <div className={styles.fill_less}></div>
                    <div className={styles.footer_content}>
                      <span>数量：{item.quantity || ''}</span>
                      {/* <span onClick={() => this.onRepo(item.tid, item.miner.name)}>回收</span> */}
                    </div>
                  </div>
                )
              })
          }
          {data.length < total || total < 10 ? null : <div className={styles.footer_text}>数据已加载完毕~~</div>}
          <Modales
            isShow={visible}
            onClose={this.onClose}
            title='回购提醒'
            tabgNum={tabgNum}
            tid={tid}
            minerName={minerName}
            descript='系统将以您购买时的价格回购，请确认矿机回购数量'
            onSure={this.onSure}
          />
        </div>
      </div>
    )
  }
}
