import React, { Component, Fragment } from 'react';
import ReactDOM from 'react-dom'
import styles from './mine.less';
import Header from './components/Heder';
import Tabbar from '../../components/Tabbar/index';
import { getMineinformation, getAsset } from '../services/mine';
import { Toast, PullToRefresh } from 'antd-mobile';
import defatult from '../../assets/defatult.png';
import Activity from '../../components/Activity';
import router from 'umi/router';
import Textmodals from '@/components/Textmodals/Textmodals';
function judgeValue(value) {
  if (value === 0 || value) {
    return value;
  }
  else {
    return 'error';
  }
}
export default class Mine extends Component {
  constructor(props) {
    super(props);
    this.state = {
      accountData: [
        { name: '充值', key: 1 },
        { name: '转赠', key: 2 },
        { name: '提取', key: 3 }
      ],
      informationObj: {},
      assetObj: {},
      isActivity: false,
      scrollTopsize: null,
      height: document.documentElement.clientHeight - 98,
      isExchange: false
    }
  }
  async componentDidMount() {
    this.getPersonalinformation();
    const hei = this.state.height - ReactDOM.findDOMNode(this.ptr).offsetTop;
    setTimeout(() => this.setState({
      height: hei
    }), 0);
  }
  getPersonalinformation = async () => {
    this.setState({ isActivity: true })
    try {
      //获取用户的基础信息
      const data = await getMineinformation();
      //获取用户的资产
      const assetData = await getAsset();
      if (data.code === 'OK' && data.success && assetData.code === 'OK' && assetData.success) {
        this.setState({ informationObj: data.data, assetObj: assetData.data });
      }
      else {
        Toast.fail(data.msg, 2);
      }
    } catch (error) {
      console.log(error);
    } finally {
      this.setState({ isActivity: false })
    }
  }
  onRefresh = () => {
    this.getPersonalinformation();
  }

  onPush = (name) => {
    const { informationObj, assetObj } = this.state;
    sessionStorage.setItem('moneyAdress', informationObj.wallet);
    switch (name) {
      case '充值':
        return router.push(`/topupmoney`);
      case '转赠':
        return router.push(`/examples?sign=${'WOS'}&balance=${assetObj.walletDaiBi}`);
      case '提取':
        return router.push(`/extract`);
      default:
        break;
    }
  }

  onExchange = () => {
    this.setState({ isExchange: true });
  }
  onClose = () => {
    this.setState({ isExchange: false });
  }

  render() {
    document.title = this.props.route.name;
    const { informationObj, isActivity, assetObj, isExchange } = this.state;
    return (
      <Fragment>
        <div style={isActivity ? { filter: 'blur(10px)' } : null}>
          <PullToRefresh
            onRefresh={this.onRefresh}
            ref={el => this.ptr = el}
            style={{
              height: this.state.height,
              overflow: 'auto',
            }}
          >
            <div className={styles.header}>
              <div className={styles.content_wrap}>
                <img src={informationObj?.avatar ?? defatult} alt="error" />
                <div className={styles.right_vless}>
                  <div>
                    <span>{informationObj?.nickname ?? ''}</span>
                    {/* <span>LV5</span> */}
                  </div>
                  {/* <div>ID:{informationObj.tid || ''}</div> */}
                </div>
              </div>
            </div>

            <div className={styles.main_content}>
              <div className={styles.common_wrap}>
                <Header title='我的矿机' btnText='矿机详情' sign={1} />
                <div className={styles.wingBlank}>
                  <div className={styles.content_wrap}>
                    <div className={styles.child_less}>
                      <span>WOS矿机数</span>
                      <span>{judgeValue(assetObj.minerDaiBiCount)}</span>
                    </div>
                    <div className={styles.fill}></div>
                    <div className={styles.child_less}>
                      <span>产出的WOS</span>
                      <span>{judgeValue(assetObj.minerDaiBiYield)}</span>
                    </div>
                  </div>
                </div>
                <div className={styles.fill_less}></div>
                <div style={{ backgroundColor: '#f6faff', paddingTop: '4.26667vw' }} className={styles.wingBlank}>
                  <div className={styles.equity_header}>
                    <div>共享值矿机数</div>
                    <div>{judgeValue(assetObj.minerQuanYiZhiCount)}</div>
                  </div>
                  <div className={styles.content_wrap}>
                    <div className={styles.child_less}>
                      <span>产出的WOS&emsp;</span>
                      <span>{judgeValue(assetObj.minerQuanYiZhiYieldDB)}</span>
                    </div>
                    <div className={styles.fill}></div>
                    <div className={styles.child_less}>
                      <span>产出共享值</span>
                      <span>{judgeValue(assetObj.minerQuanYiZhiYieldQYZ)}</span>
                    </div>
                  </div>
                </div>
              </div>
              <div className={styles.common_wrap}>
                <Header title='我的资产' />
                <div className={styles.wingBlank}>
                  <div className={styles.my_account}>
                    <div>
                      <div onClick={() => router.push(`/USDT`)}>{`USDT钱包`}&nbsp;<span>详情></span></div>
                      <span>{judgeValue(assetObj.walletUSDT)}</span>
                    </div>
                    <div onClick={() => router.push(`/wallet`)} className={styles.rechange}>充值</div>
                  </div>
                </div>
                <div className={styles.fill_less}></div>
                <div className={styles.wingBlank}>
                  <div className={styles.my_account}>
                    <div>
                      <span onClick={() => router.push(`/Equitydetail`)}>{`共享值钱包`}&nbsp;<span>详情></span></span>
                      <span>{judgeValue(assetObj.walletQuanYiZhi)}</span>
                    </div>
                    <div
                      onClick={() => {
                        sessionStorage.setItem('moneyAdress', informationObj.wallet);
                        router.push(`/examples?sign=${'共享值'}&balance=${assetObj.walletQuanYiZhi}`)
                      }}
                      className={styles.rechange}
                    >转赠</div>
                    <div
                      onClick={this.onExchange}
                      className={styles.exchange}
                    >
                      汇率区间&nbsp;{assetObj?.shareValueRate?.rmbRangeStart ?? ''}~{assetObj?.shareValueRate?.rmbRangeEnd ?? ''}&nbsp;></div>
                  </div>
                </div>
                <div className={styles.fill_less}></div>
                <div className={styles.wingBlank}>
                  <div className={styles.my_account}>
                    <div>
                      <span onClick={() => router.push('/WOSdetail')}>{`WOS钱包`}&nbsp;<span>详情></span></span>
                      <span>{judgeValue(assetObj.walletDaiBi)}</span>
                    </div>
                    <div className={styles.bottom_wrap}>
                      {
                        this.state.accountData.map((item) => {
                          return (
                            <div
                              onClick={() => this.onPush(item.name)}
                              style={{ textAlign: 'center' }}
                              key={item.key}
                              className={styles.rechange}
                            >
                              {item.name}
                            </div>
                          )
                        })
                      }
                    </div>
                  </div>
                </div>
                <div className={styles.fill_less}></div>
              </div>
            </div>
          </PullToRefresh>
        </div>
        <Tabbar tabSign={'mine'} />
        <Activity isActivity={isActivity} />
        <Textmodals
          onClose={this.onClose}
          isShow={isExchange}
          title='汇率说明'
          text={`当前 1 共享值的价值大约在${assetObj?.shareValueRate?.rmbRangeStart ?? 'error'}~${assetObj?.shareValueRate?.rmbRangeEnd ?? 'error'}元之间；根据当前市场汇率实时变动，以最新汇率为准。`}
        />
      </Fragment>
    )
  }
}
