import React, { Component, Fragment } from 'react';
import styles from './showdetail.less';
import { WingBlank, Toast } from 'antd-mobile';
import CopyToClipboard from 'react-copy-to-clipboard';
import moment from 'moment';
function colorSize(value) {
  if (Number(value) > 0) {
    return true
  }
  else {
    return false
  }
}
import { getUSDTDetail, getWOSDetail, getShareValueDetail } from '../services/billdetail';
import Activity from '@/components/Activity';
import copyImg from '../../assets/copy.png';
let titleData = new Map([['0', 'USDT详情'], ['1', '共享值详情'], ['2', 'WOS详情']]);

export default class Showdetail extends Component {
  constructor(props) {
    super(props);
    document.title = titleData.get(this.props.location.query.sign);
    this.state = {
      isActivity: false,
      infromationObj: {}
    }
  }

  onCopy = (value, result) => {
    if (!!value && result) {
      Toast.success('复制成功', 1);
    }
    else {
      Toast.fail('复制失败,请再次尝试~', 1);
    }
  }

  componentDidMount() {
    this.getDetailinformation();
  }

  //判断进入的sign参数
  onJudgesign = (value) => {
    const { type } = this.props.location.query;
    let id = sessionStorage.getItem('id')
    const usdtObj = {
      traceId: id,
      type: type
    }
    let wosObj = {
      id: id
    }
    let publicObj = {
      id: id
    }
    switch (value) {
      case '0':
        return getUSDTDetail(usdtObj);
      case '1':
        return getShareValueDetail(publicObj);
      case '2':
        return getWOSDetail(wosObj);
      default:
        null;
    }
  }

  //流水详情获取
  getDetailinformation = async () => {
    try {
      this.setState({ isActivity: true });
      const res = await this.onJudgesign(this.props.location.query.sign);
      if (res.code == 'OK' && res.success) {
        this.setState({ infromationObj: res.data });
      }
      else {
        Toast.fail(res.msg, 1);
      }
    } catch (error) {
      console.log(error)
    } finally { this.setState({ isActivity: false }); }
  }

  render() {
    const { type, title } = this.props.location.query;
    const { isActivity, infromationObj } = this.state;
    return (
      <Fragment>
        <div style={isActivity ? { filter: 'blur(10px)' } : null} className={styles.detailWrap}>
          <WingBlank size='lg'>
            <div
              style={colorSize(infromationObj?.amount ?? infromationObj.balanceValue ?? '') ? { color: 'red' } : null}
              className={styles.moneyValue}
            >
              {colorSize(infromationObj?.amount ?? infromationObj.balanceValue ?? '') ? '+' : ''}
              {infromationObj?.amount ?? infromationObj?.balanceValue ?? ''}
              <div className={styles.titleLess}>{title}</div>
            </div>
            <div className={styles.fill}></div>
            <div className={styles.rowWrap}>
              <span className={styles.label}>状态</span>
              <div className={styles.content}>操作成功</div>
            </div>
            <div className={styles.rowWrap}>
              <span className={styles.label}>收款地址</span>
              <div className={styles.content}>
                <span>{infromationObj?.collectAddress ?? infromationObj?.receivingAddress ?? ''}</span>
                <CopyToClipboard
                  text={infromationObj?.collectAddress ?? infromationObj?.receivingAddress}
                  onCopy={this.onCopy}
                >
                  <img className={styles.imgLess} src={copyImg} alt="error" />
                </CopyToClipboard>
              </div>
            </div>
            <div className={styles.rowWrap}>
              <span className={styles.label}>付款地址</span>
              <div className={styles.content}>
                <span>{infromationObj?.payAddress ?? ''}</span>
                <CopyToClipboard
                  text={infromationObj?.payAddress}
                  onCopy={this.onCopy}
                >
                  <img className={styles.imgLess} src={copyImg} alt="error" />
                </CopyToClipboard>
              </div>
            </div>
            <div className={styles.rowWrap}>
              <span className={styles.label}>备注</span>
              <div className={styles.content}>{title}</div>
            </div>
            <div className={styles.rowWrap}>
              <span className={styles.label}>交易号</span>
              <div className={styles.content}>
                <span>{infromationObj?.txId ?? ''}</span>
                <CopyToClipboard
                  text={infromationObj?.txId}
                  onCopy={this.onCopy}
                >
                  <img className={styles.imgLess} src={copyImg} alt="error" />
                </CopyToClipboard>
              </div>
            </div>
            <div className={styles.rowWrap}>
              <span className={styles.label}>交易时间</span>
              <div className={styles.content}>{moment(infromationObj?.createTime ?? '').format('YYYY-MM-DD HH:MM:ss')}</div>
            </div>
          </WingBlank>
        </div>
        <Activity isActivity={isActivity} />
      </Fragment>
    )
  }
}
