import React, { Component, Fragment } from 'react';
import { WingBlank, InputItem, Button, Toast } from 'antd-mobile';
import Header from '../Header/Header';
import styles from './inviterpeople.less';
import defaultImg from '../../../assets/defatult.png';
import Activity from '@/components/Activity';
import { getUserinfromation, bindingRelationship } from '../../services/mine';
import router from 'umi/router';
var timer = '';

export default class Inviterpeople extends Component {
  constructor(props) {
    super(props);
    document.title = this.props.route.name
    this.state = {
      isActivity: false,
      codeValue: null,
      information: {},
      isDisable: false
    }
  }

  onChange = (value) => {
    this.setState({ codeValue: value }, () => {
      if (this.state.codeValue.trim().length >= 10) {
        this.onGetinformation();
      }
    });
  }

  //获取用户信息
  onGetinformation = async () => {
    let obj = {
      code: this.state.codeValue
    }
    try {
      this.setState({ isActivity: true });
      const res = await getUserinfromation(obj);
      if (res.code === 'OK' && res.success) {
        this.setState({ information: res.data, isDisable: false });
      }
      else {
        this.setState({ information: {}, isDisable: true })
      }
    } catch (error) {
      console.log(error);
    } finally { this.setState({ isActivity: false }) }
  }

  //获取用户信息
  onQuery = (delay) => {
    if (!timer) {
      timer = setTimeout(async () => {
        timer = "";
        let obj = {
          code: this.state.codeValue
        }
        try {
          this.setState({ isActivity: true });
          const res = await getUserinfromation(obj);
          if (res.code === 'OK' && res.success) {
            this.setState({ information: res.data, isDisable: false });
          }
          else {
            this.setState({ information: {}, isDisable: true })
          }
        } catch (error) {
          console.log(error);
        } finally { this.setState({ isActivity: false }) }
        clearTimeout(timer);//最后不要忘记清除
      }, delay);
    }
  }

  //绑定按钮
  onBind = async () => {
    try {
      this.setState({ isActivity: true })
      let obj = {
        code: this.state.codeValue
      }
      const res = await bindingRelationship(obj);
      if (res.code === 'OK' && res.success) {
        router.replace('/team');
        Toast.fail('绑定成功', 1);
      }
      else {
        Toast.fail(res.msg, 1);
      }
    } catch (error) {
      console.log(error);
    } finally { this.setState({ isActivity: false }) }
  }

  render() {
    const { isActivity, codeValue, information, isDisable } = this.state;
    return (
      <Fragment>
        <div>
          <WingBlank size='lg' style={{ paddingTop: '4vw' }}>
            <div className={styles.inviterWrap}>
              <Header title='绑定邀请人' />
              <div className={styles.mainWrap}>
                <div className={styles.inputVelss}>
                  <InputItem
                    placeholder='请输入邀请人的邀请码'
                    onChange={this.onChange}
                  />
                </div>
                {
                  !!information.nickname ? <Fragment>
                    <div className={styles.footerTitle}>为你找到的邀请人</div>
                    <div className={styles.footerText}>
                      <img src={!!information.avatar ? information.avatar : defaultImg} alt="error" />
                      <div className={styles.content}>
                        <span>{information.nickname}</span>
                        <span>邀请码：{codeValue}</span>
                      </div>
                    </div>
                  </Fragment> : null
                }
              </div>
            </div>
          </WingBlank>
          <Button disabled={!codeValue || isDisable} onClick={this.onBind} className={styles.buttonLess} type='primary'>立即绑定</Button>

        </div>
        <Activity isActivity={isActivity} />
      </Fragment>

    )
  }
}
