import React, { Component, Fragment } from 'react';
import styles from './Topupmoney.less';
import { InputItem, Button, Toast } from 'antd-mobile';
import Modales from '@/components/Sharingmodals/index';
import router from 'umi/router';
import Activity from '@/components/Activity';
import { getUsdtToWos, exchangeUsdtToWos } from '../services/mine';
import Tabbar from '@/components/Tabbar/index';
var timer = '';

export default class Topupmoney extends Component {
  constructor(props) {
    super(props);
    document.title = this.props.route.name;
    this.state = {
      isTopup: true,
      moneyValue: null,
      visible: false,
      isUnoenough: true,
      isActivity: false,
      wosNum: 0
    }
  }

  onChange = (value) => {
    this.setState({ moneyValue: value }, () => this.onGetretio(1000))
  }

  //获取兑换比率
  onGetretio = (delay) => {
    if (!timer) {
      timer = setTimeout(async () => {
        timer = "";
        let obj = {
          usdtAmount: this.state.moneyValue
        }
        if (!!this.state.moneyValue) {
          try {
            this.setState({ isActivity: true });
            const res = await getUsdtToWos(obj);
            if (res.code === 'OK' && res.success) {
              this.setState({ wosNum: res.data });
            }
          } catch (error) {
            console.log(error);
          } finally { this.setState({ isActivity: false }) }
        }
        else {
          this.setState({ wosNum: 0 })
        }
        clearTimeout(timer);//最后不要忘记清除
      }, delay);
    }
  }

  onRecharge = () => {
    this.setState({ visible: true })
  }

  onClose = () => {
    this.setState({ visible: false })
  }

  //确认充值,提交订单
  onSure = async () => {
    let obj = {
      usdtAmount: this.state.moneyValue
    }
    try {
      this.setState({ isActivity: true });
      const res = await exchangeUsdtToWos(obj);
      if (res.code === 'OK' && res.success) {
        Toast.success('充值成功', 1);
        router.push('/mine');
      }
      else {
        Toast.fail(res.msg, 1);
      }
    } catch (error) {
      console.log(error);
    } finally {
      this.setState({ visible: false, isActivity: false });
    }
  }

  render() {
    const { moneyValue, visible, isUnoenough, isActivity, wosNum } = this.state;
    return (
      <Fragment>
        <div className={styles.wingblack} style={isActivity ? { filter: 'blur(10px)' } : null}>
          <div className={styles.topup_wrap}>
            <div className={styles.header}>认购WOS</div>
            <div className={styles.input_wrap}>
              <InputItem
                type='number'
                placeholder='请输入使用的USDT数量'
                className={styles.input_less}
                onChange={this.onChange}
              />
            </div>
            <div className={styles.fill_less}></div>
            <div className={styles.text_less}>您将获得WOS：{wosNum}</div>
            <Button disabled={!moneyValue} onClick={this.onRecharge} className={styles.but_less}>确认认购</Button>
          </div>
          <Modales
            isShow={visible}
            onClose={this.onClose}
            title='充值提醒'
            descript={isUnoenough ? `您将使用  ${moneyValue}  USDT充值WOS，充值完成将获得  ${wosNum}  WOS，请确认是否充值` : '您的U币不足，请调整WOS充值数量或先充值足够数量的U币'}
            onSure={this.onSure}
            sign={true}
          />
        </div>
        <Tabbar tabSign={'recharge'} />
        <Activity isActivity={isActivity} />
      </Fragment>
    )
  }
}
