import styles from './usdtchild.less';
import { Fragment } from 'react';
import moment from 'moment';
import Result from '../../../components/Result';
import router from 'umi/router';
let titleMap = new Map([
  [30, 'USDT转入'],
  [41, '充值代币']
])
export default (({ list, total }) => {
  return (
    <Fragment>
      {
        list.length === 0 ? <Result style={{ height: '93vh' }} /> :
          list.map((item, index) => {
            return (
              <div
                key={index}
                className={styles.usdtWrap}
                onClick={() => { router.push(`/Showdetail?sign=${0}&type=${item.type}&title=${titleJudge(item.type)}`); sessionStorage.setItem('id', item.txId) }}>
                <div className={styles.contentRight}>
                  <span>{titleMap.get(item?.type ?? '')}</span>
                  <div>付款地址：{item?.payAddress ?? ''}</div>
                  <span>{moment(item?.createTime ?? '').format('YYYY-MM-DD HH:MM:ss')}</span>
                </div>
                <div className={styles.contentLeft}>
                  <span style={Number(item?.balanceValue) > 0 ? { color: '#FF4D5C' } : null} >
                    {Number(item?.balanceValue) > 0 ? '+' : ''}{item?.balanceValue ?? ''}
                  </span>
                </div>
              </div>
            )
          })
      }
      {list.length < total || list.length < 10 ? null : <div className={styles.footer}>数据加载完毕~</div>}
    </Fragment>
  )
})
